Creates a shipment plan

Creates a new shipment plan. A shipment plan is a structure that holds information about a
recurring shipment. Like a shipment, a shipment plan also consists of segments each
representing a part of the logistics journey. A segment spans from a location to another and
each segment may be assigned a different tracking device. The segments of the shipment must form a
continuous chain of locations, that is the origin of a segment must match the destination of a
previous segment.

In addition to shipments, a predefined duration can be assigned to each segment in the plan.
This information will be used to calculate the Estimated Time of Departure (ETD) and
Estimated Time of Arrival (ETA) when instantiating a shipment from a shipment plan.

Query Params
string
length between 1 and 50

Project ID.
Any HERE Tracking user must be a member of a Tracking project.
The project ID can be implicitly resolved if the user calling the API is a member of a single project.
If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.

Body Params
string
length ≤ 50

Name of the shipment

string
length ≤ 1000

Description of the shipment

boolean
Defaults to true

A boolean parameter defining whether the shipment starts upon exiting the first origin
location.

boolean
Defaults to false

Flag telling if shipment is a subShipment.

ruleIds
array of uuids
length ≤ 10

Array of ruleIds to associate with the shipment

ruleIds
segments
array of objects
required
length between 1 and 100

Array of objects each defining the origin and destination of the segment.
The maximum number of segments in a shipment can have stricter project
specific limits than the maximum value documented here.

segments*

A segment of a shipment.

string
length ≤ 50

Name of the segment

string
length ≤ 1000

Description of the segment

string
enum
required

Transport mode of the segment

string
length between 1 and 50

This is a unique ID associated with the device data in HERE Tracking. The trackingId gets assigned to a device when the device is claimed by a user.

string
required
^LOC-[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Origin location of this segment

string
required
^LOC-[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Destination location of this segment

integer
≥ 0

Segment duration in seconds.

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

言語
認証情報
URL
LoadingLoading…
応答
試してみる!をクリックしてリクエストを開始し、こちらで応答をご確認ください! または例を選択:
application/json